Subject: bug#50441: Wrong build directory number shown in environment-variables file

From: Ludovic Courtès <[email-masked]>
Date: Tue, 14 Sep 2021 09:47:01 +0200

Hi,

Christine Lemmer-Webber <[email-masked]> skribis:

> Tobias Geerinckx-Rice <[email-masked]> writes:

[...]

>>> #+BEGIN_SRC sh
>>> export TEMP=\
>>> "/tmp/guix-build-u-boot-mnt-reform2-2021.06.drv-0"
>>
>> Part of the build environment isolation/reproducibility is that
>> processes inside it always see a build directory ending in ‘-0’, 
>> regardless of the file name on the host system.
>>
>> Kind regards,
>>
>> T G-R
>>
>> [[End of PGP Signed Part]]
>
> This makes sense in general, though I wonder if when using --keep-failed
> if environment-variables should dump out something different, since
> that file is around for debugging, and sourcing it might set up the
> wrong paths I guess?  What do you think?

There’s no good solution I’m afraid.  Directory names within the build
environment must be fixed to ensure reproducibility, as Tobias writes;
yet, the daemon shouldn’t overwrite directories that happen to already
exist in the “real” /tmp.

Thanks,
Ludo’.